[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Chart' (#lcl)

# TBar

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TBar - base class for TBarChartItems in a TBarChart

## Declaration

Source position: chart.pp line 41

`type TBar = class(TCollectionItem)`
`protected`
`function GetDisplayName; override;`
`published`
`property SName: String; [rw]` |  | SName - the name identifying this bar in the barchart
`property Value: Integer; [rw]` |  | The numerical Value or size of this bar in the barchart
`property Color: TColor; [rw]` |  | The Color to be used to draw this bar in the barchart
`end;`

## Inheritance

`TBar` |  | TBar - base class for TBarChartItems in a TBarChart
`TCollectionItem`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.